Page MenuHomePhabricator

Upgrading python-requests on trusty
Closed, DeclinedPublic

Description

We need a more recent version of python-requests (2.4.2) on trusty to run the debmonitor-client. Some of the remaining trusty hosts use the Ubuntu Cloud Archive which has 2.9.1 but that repository is not suitable for the non-OpenStack hosts (ships lots of modified packages without security support e.g.).

I've checked the installation status and we don't have any reverse dependencies of python3-requests installed on trusty hosts not running the Cloud Archive yet. As such, I'll backport the jessie version of python-requests (2.4.3) to trusty-wikimedia

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 13 2018, 10:26 AM
MoritzMuehlenhoff closed this task as Declined.Jun 13 2018, 12:53 PM

This turned out to be a rabbit hole which would also require upgrading urllib3, so in the end it was worked around in the debmonitor client.

Vvjjkkii renamed this task from Upgrading python-requests on trusty to n4aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed MoritzMuehlenhoff as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from n4aaaaaaaa to Upgrading python-requests on trusty.Jul 2 2018, 1:56 PM
CommunityTechBot closed this task as Declined.
CommunityTechBot assigned this task to MoritzMuehlenhoff.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.